import { Accordion as FoundationAccordion, defaultAccordionConfig, foundationAccordionShadowOptions, } from '@genesislcap/foundation-ui';
import { zeroAccordionStyles as styles } from './accordion.styles';
import { zeroAccordionTemplate as template } from './accordion.template';
/**
 * @tagname %%prefix%%-card
 */
export class Accordion extends FoundationAccordion {
}
export const zeroAccordion = Accordion.compose(Object.assign({ baseName: 'accordion', template,
    styles, shadowOptions: foundationAccordionShadowOptions }, defaultAccordionConfig));
