import { html } from 'lit-html';
const meta = {
    title: 'Accordion',
    component: 'zero-accordion',
};
export default meta;
export const Primary = {
    render: () => html `
    <zero-accordion>
      <zero-accordion-item slot="item" id="accordion-1">
        Accordion one content
        <div slot="heading">Accordion one</div>
      </zero-accordion-item>
      <zero-accordion-item slot="item" id="accordion-2">
        Accordion two content
        <div slot="heading">Accordion two</div>
      </zero-accordion-item>
      <zero-accordion-item slot="item" id="accordion-3">
        Accordion three content
        <div slot="heading">Accordion three</div>
      </zero-accordion-item>
      <zero-accordion-item slot="item" id="accordion-4">
        Accordion four content
        <div slot="heading">Accordion four</div>
      </zero-accordion-item>
    </zero-accordion>
  `,
};
