import { html } from 'lit-html';
const meta = {
    title: 'Avatar',
    component: 'zero-avatar',
};
export default meta;
const wrapperStyle = 'display: flex; padding: 10px; gap: 1em; height: 500px; --avatar-fill-accent-primary: var(--accent-fill-rest)';
const StylesMapperTemplate = {
    render: () => html `
    <zero-card style=${wrapperStyle}>
      <zero-avatar
        src="https://avataaars.io/?avatarStyle=Circle&topType=LongHairStraight&accessoriesType=Blank&hairColor=BrownDark&facialHairType=Blank&clotheType=BlazerShirt&eyeType=Default&eyebrowType=Default&mouthType=Default&skinColor=Light"
        alt="Annie's profile image"
        link="#"
      ></zero-avatar>
      <zero-avatar
        alt="Annie James"
        link="#"
        name="Annie Lennox"
        shape="circle"
        fill="accent-primary"
      >
        AJ
      </zero-avatar>
    </zero-card>
  `,
};
export const Primary = Object.assign({ args: {
        anchorText: 'This will show above button',
    } }, StylesMapperTemplate);
