import { BreadcrumbItem as FoundationBreadcrumbItem, defaultBreadcrumbItemConfig, foundationBreadcrumbItemShadowOptions, } from '@genesislcap/foundation-ui';
import { zeroBreadcrumbItemStyles as styles } from './breadcrumb-item.styles';
import { zeroBreadcrumbItemTemplate as template } from './breadcrumb-item.template';
/**
 * @tagname %%prefix%%-breadcrumb-item
 */
export class BreadcrumbItem extends FoundationBreadcrumbItem {
}
/**
 * The zero Breadcrumb Item
 *
 * @public
 * @remarks
 * HTML Element: \<zero-breadcrumb-item\>
 */
export const zeroBreadcrumbItem = BreadcrumbItem.compose(Object.assign({ baseName: 'breadcrumb-item', template,
    styles, shadowOptions: foundationBreadcrumbItemShadowOptions }, defaultBreadcrumbItemConfig));
