import { Calendar as FoundationCalendar, defaultCalendarConfig, foundationCalendarShadowOptions, } from '@genesislcap/foundation-ui';
import { zeroCalendarStyles as styles } from './calendar.styles';
import { zeroCalendarTemplate as template } from './calendar.template';
/**
 * @tagname %%prefix%%-calendar
 */
export class Calendar extends FoundationCalendar {
}
export const zeroCalendar = Calendar.compose(Object.assign({ baseName: 'calendar', template,
    styles, shadowOptions: foundationCalendarShadowOptions }, defaultCalendarConfig));
