import { CategorizedMultiselect as FoundationCategorizedMultiselect, defaultCategorizedMultiselectConfig as foundationCategorizedMultiselectConfig, foundationCategorizedMultiselectShadowOptions, } from '@genesislcap/foundation-ui';
import { categorizedMultiselectStyles as styles } from './categorized-multiselect.styles';
import { categorizedMultiselectTemplate as template } from './categorized-multiselect.template';
/**
 * @tagname %%prefix%%-categorized-multiselect
 */
export class CategorizedMultiselect extends FoundationCategorizedMultiselect {
}
export const defaultCategorizedMultiselectConfig = foundationCategorizedMultiselectConfig;
export const zeroCategorizedMultiselectShadowOptions = foundationCategorizedMultiselectShadowOptions;
export const zeroCategorizedMultiselect = CategorizedMultiselect.compose(Object.assign({ baseName: 'categorized-multiselect', template,
    styles, shadowOptions: zeroCategorizedMultiselectShadowOptions }, defaultCategorizedMultiselectConfig));
