import { Checkbox as FoundationCheckbox, defaultCheckboxConfig, foundationCheckboxShadowOptions, } from '@genesislcap/foundation-ui';
import { zeroCheckboxStyles as styles } from './checkbox.styles';
import { zeroCheckboxTemplate as template } from './checkbox.template';
/**
 * @tagname %%prefix%%-checkbox
 */
export class Checkbox extends FoundationCheckbox {
}
export const zeroCheckbox = Checkbox.compose(Object.assign({ baseName: 'checkbox', template,
    styles, shadowOptions: foundationCheckboxShadowOptions }, defaultCheckboxConfig));
