import { FilterBar as FoundationFilterBar } from '@genesislcap/foundation-ui';
import { zeroFilterBarStyles as styles } from './filter-bar.styles';
import { zeroFilterBarTemplate as template } from './filter-bar.template';
/**
 * @tagname %%prefix%%-filter-bar
 */
export class FilterBar extends FoundationFilterBar {
}
/**
 * The Zero Filter
 *
 * @public
 * @remarks
 * HTML Element: \<zero-filter-bar\>
 */
export const zeroFilterBar = FilterBar.compose({
    baseName: 'filter-bar',
    template,
    styles,
});
