import { html } from 'lit-html';
const meta = {
    title: 'Slider',
    component: 'zero-slider',
};
export default meta;
export const Primary = {
    render: () => html `
    <div style="min-height: 300px; width: 100%;">
      <h6>Vertical</h6>
      <zero-slider min="0" max="100" step="10" value="70" orientation="vertical"></zero-slider>
      <h6>Horizontal</h6>
      <zero-slider min="0" max="100" step="10" value="70"></zero-slider>
    </div>
  `,
};
export const WithLabels = {
    render: () => html `
    <div style="min-height: 300px; width: 100%; margin: 20px;">
      <zero-slider min="0" max="100" step="10" value="70">
        <zero-slider-label position="0">0%</zero-slider-label>
        <zero-slider-label position="10">10%</zero-slider-label>
        <zero-slider-label position="90">90%</zero-slider-label>
        <zero-slider-label position="100">100%</zero-slider-label>
      </zero-slider>
    </div>
  `,
};
