import { defaultStepperConfig, foundationStepperShadowOptions, Stepper as FoundationStepper, } from '@genesislcap/foundation-ui';
import { zeroStepperStyles as styles } from './stepper.styles';
import { zeroStepperTemplate as template } from './stepper.template';
/**
 * @tagname %%prefix%%-stepper
 */
export class Stepper extends FoundationStepper {
}
export const zeroStepper = Stepper.compose(Object.assign({ baseName: 'stepper', template,
    styles, shadowOptions: foundationStepperShadowOptions }, defaultStepperConfig));
