import { defaultUrlInputConfig as foundationUrlInputConfig, foundationUrlInputShadowOptions, UrlInput as FoundationUrlInput, } from '@genesislcap/foundation-ui';
import { zeroUrlInputStyles as styles } from './url-input.styles';
import { zeroUrlInputTemplate as template } from './url-input.template';
/**
 * @tagname %%prefix%%-url-input
 */
export class UrlInput extends FoundationUrlInput {
}
export const zeroUrlInput = UrlInput.compose(Object.assign({ baseName: 'url-input', template,
    styles, shadowOptions: foundationUrlInputShadowOptions }, foundationUrlInputConfig));
