import { SearchBar as FoundationSearchBar } from '@genesislcap/foundation-ui';
/**
 * @tagname %%prefix%%-search-bar
 */
export declare class SearchBar extends FoundationSearchBar {
    appearance: string;
}
/**
 * The Zero Search Bar
 *
 * @public
 * @remarks
 * HTML Element: \<zero-search-bar\>
 */
export declare const zeroSearchBar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<SearchBar, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<SearchBar, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
    shadowOptions: ShadowRootInit;
}, typeof SearchBar>;
//# sourceMappingURL=search-bar.d.ts.map