import { AccordionItem as FoundationAccordionItem, defaultAccordionItemConfig, foundationAccordionItemShadowOptions, } from '@genesislcap/foundation-ui';
import { zeroAccordionItemStyles as styles } from './accordion-item.styles';
import { zeroAccordionItemTemplate as template } from './accordion-item.template';
/**
 * @tagname %%prefix%%-card
 */
export class AccordionItem extends FoundationAccordionItem {
}
export const zeroAccordionItem = AccordionItem.compose(Object.assign({ baseName: 'accordion-item', template,
    styles, shadowOptions: foundationAccordionItemShadowOptions }, defaultAccordionItemConfig));
