import { html } from 'lit-html';
const meta = {
    title: 'Breadcrumb',
    component: 'zero-breadcrumb',
};
export default meta;
export const Primary = {
    args: {
        breadcrumbItemsText: 'Breadcrumb Item',
        breadcrumbCurrentItemText: 'Current Page',
    },
    render: ({ breadcrumbItemsText, breadcrumbCurrentItemText }) => html `
    <zero-breadcrumb>
      <zero-breadcrumb-item href="#">${breadcrumbItemsText} 1</zero-breadcrumb-item>
      <zero-breadcrumb-item href="#">${breadcrumbItemsText} 2</zero-breadcrumb-item>
      <zero-breadcrumb-item>${breadcrumbCurrentItemText}</zero-breadcrumb-item>
    </zero-breadcrumb>
  `,
};
