import { SystemHealthOverlay as FoundationSystemHealthOverlay, foundationSystemHealthOverlayTemplate, foundationSystemHealthOverlayStyles, foundationSystemHealthOverlayShadowOptions, defaultSystemHealthOverlayConfig, } from '@genesislcap/foundation-ui';
/**
 * SystemHealthOverlay
 * @public
 */
export class SystemHealthOverlay extends FoundationSystemHealthOverlay {
}
/**
 * Zero system health overlay
 *
 * @public
 * @remarks
 * HTML Element: \<zero-system-health-overlay\>
 */
export const zeroSystemHealthOverlay = SystemHealthOverlay.compose(Object.assign({ baseName: 'system-health-overlay', template: foundationSystemHealthOverlayTemplate, styles: foundationSystemHealthOverlayStyles, shadowOptions: foundationSystemHealthOverlayShadowOptions }, defaultSystemHealthOverlayConfig));
