import { Radio as FoundationFoundationRadio } from '@genesislcap/foundation-ui';
import { zeroSegmentedItemStyles as styles } from './segmented-item.styles';
import { zeroSegmentedItemTemplate as template } from './segmented-item.template';
/**
 * @tagname %%prefix%%-segmented-item
 */
export class SegmentedItem extends FoundationFoundationRadio {
}
// explicitly declaring for extensibility
export const zeroSegmentedItemShadowOptions = undefined;
export const defaultSegmentedItemConfig = {};
/**
 * The Zero Segmented item
 *
 * @public
 * @remarks
 * HTML Element: \<zero-segmented-item\>
 */
export const zeroSegmentedItem = SegmentedItem.compose(Object.assign({ baseName: 'segmented-item', template,
    styles, shadowOptions: zeroSegmentedItemShadowOptions }, defaultSegmentedItemConfig));
