import { html } from 'lit-html';
const meta = {
    title: 'Stepper',
    component: 'zero-stepper',
};
export default meta;
export const Primary = {
    render: () => html `
    <div style="display:flex; gap: 10px; min-height: 400px">
      <zero-stepper>
        <zero-stepper-tab>Rapid stepper 1</zero-stepper-tab>
        <zero-stepper-tab>Rapid stepper 2</zero-stepper-tab>
        <zero-stepper-tab>Rapid stepper 3</zero-stepper-tab>
        <zero-stepper-tab>Rapid stepper 4</zero-stepper-tab>
        <zero-stepper-tab-panel>Rapid Stepper Panel 1</zero-stepper-tab-panel>
        <zero-stepper-tab-panel>Rapid Stepper Panel 2</zero-stepper-tab-panel>
        <zero-stepper-tab-panel>Rapid Stepper Panel 3</zero-stepper-tab-panel>
        <zero-stepper-tab-panel>Rapid Stepper Panel 4</zero-stepper-tab-panel>
      </zero-stepper>
      <zero-stepper orientation="horizontal">
        <zero-stepper-tab>Rapid stepper 1</zero-stepper-tab>
        <zero-stepper-tab>Rapid stepper 2</zero-stepper-tab>
        <zero-stepper-tab>Rapid stepper 3</zero-stepper-tab>
        <zero-stepper-tab-panel>Rapid Stepper Panel 1</zero-stepper-tab-panel>
        <zero-stepper-tab-panel>Rapid Stepper Panel 2</zero-stepper-tab-panel>
        <zero-stepper-tab-panel>Rapid Stepper Panel 3</zero-stepper-tab-panel>
      </zero-stepper>
    </div>
  `,
};
